Package com.eqixiac.equinix.sts.client.internal
package com.eqixiac.equinix.sts.client.internal
-
InterfacesClassDescriptionInternal client for the STS unauthenticated discovery endpoints:
GET /jwks(operationIdgetJwks) andGET /.well-known/openid-configuration(operationIdgetOpenIdConfiguration).Internal client for managing trusted OIDC providers within a root project (/v1/projects/{projectId}/oidcProviders).Internal client for the STS pre-auth token operations:POST /v1/token(operationIdgenerateStsToken) — the OAuth 2.0 / RFC 8693 token exchange (consumesapplication/x-www-form-urlencoded) — andPOST /v1/accessPoliciesGranted(operationIdlistAccessPoliciesGranted).